<?php
wp_enqueue_style('et-coming-soon-page-backend-style');
wp_enqueue_style('et-coming-soon-page-icons');

global $wp;
$general_settings   = get_option('et_coming_soon_page_general_settings');
// print_r($general_settings);
// echo '<hr />';

$is_active       = $general_settings["is_active"];
$company_name    = $general_settings["company_name"];
$message         = $general_settings["message"];
$comeback_time   = $general_settings["comeback_time"]; //date('Y-m-d\TH:i', strtotime('+7 day'));


?>
<div class="wrap">
    <h1><?php _e('Comming Soon Settings', 'et-coming-soon-page'); ?></h1>

    <!-- <div id="welcome-panel" class="welcome-panel">
        <a class="welcome-panel-close" href="#" aria-label="Dismiss the welcome panel">Dismiss</a>
        <div class="welcome-panel-content">
            <h2>Welcome to Easy Social Share Button!</h2>
            <p class="about-description">You can manage all your social share butten here.</p>
        </div>
    </div> -->

    <div id="MainContent">

        <div class="tab">
            <button class="tablinks active" onclick="openTab(event, 'General')">General</button>
            <!-- <button class="tablinks" onclick="openTab(event, 'Advanced')">Advanced</button> -->
            <button class="tablinks" onclick="openTab(event, 'Help')">How To Use</button>
        </div>

        <div id="General" class="tabcontent" style="display: block;">
            <form name="GeneralSettings" method="POST">
                <p>
                <ul class="flex-outer">
                    <li>
                        <p>Is active:</p>
                        <ul class="flex-inner">
                            <li>
                                <input type="checkbox" id="is_active" name="is_active" value="1" <?php echo ($is_active && $is_active == "1") ? "checked" : ""; ?> />
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>Company name:</p>
                        <ul class="flex-inner">
                            <li>
                                <input type="text" id="company_name" name="company_name" value="<?php echo $company_name; ?>" />
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>Message:</p>
                        <ul class="flex-inner">
                            <li>
                                <input type="text" id="message" name="message" value="<?php echo $message; ?>" />
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>Comeback Time:</p>
                        <ul class="flex-inner">
                            <li>
                                <input type="datetime-local" id="comeback_time" name="comeback_time" value="<?php echo $comeback_time; ?>" />
                            </li>
                        </ul>
                    </li>
                    <li>
                        <?php wp_nonce_field('update-options') ?>
                        <?php submit_button(__('Update Options', 'et-coming-soon-page'), 'primary', 'update_options'); ?>
                    </li>
                </ul>
                </p>
            </form>
        </div>

        <!-- <div id="Advanced" class="tabcontent">
            <form name="AdvancedSettings" method="POST">
                <p>
                    <h3>Paris</h3>
                    <p>Paris is the capital of France.</p>
                    <input type="submit" name="submit" id="submit" class="button button-primary" value="Save Options">
                </p>
            </form>
        </div> -->

        <div id="Help" class="tabcontent">
            <!-- <h3>How to use</h3> -->
            <ul>
                <li><strong>Is active: </strong> Activate and deactive the settings</li>
                <li><strong>Company name: </strong> Name of your company.</li>
                <li><strong>Message: </strong> Message you want to show.</li>
                <li><strong>Comeback time: </strong> When your site will be live.</li>              
            </ul>
        </div>

        <script>
            function openTab(evt, cityName) {
                var i, tabcontent, tablinks;
                tabcontent = document.getElementsByClassName("tabcontent");
                for (i = 0; i < tabcontent.length; i++) {
                    tabcontent[i].style.display = "none";
                }
                tablinks = document.getElementsByClassName("tablinks");
                for (i = 0; i < tablinks.length; i++) {
                    tablinks[i].className = tablinks[i].className.replace(" active", "");
                }
                document.getElementById(cityName).style.display = "block";
                evt.currentTarget.className += " active";
            }
        </script>

    </div>
</div>