<?php

namespace Et\CommingSoonPage\Frontend;

/**
 * Coming soon handler class
 */
class ComingSoon
{

    /**
     * Initializes the class
     */
    function __construct()
    {
        add_action('template_redirect', [$this, 'render']);
    }
    

    /**
     * Coming Soon handler class
     *
     * @param  array $atts
     * @param  string $content
     *
     * @return string
     */
    public function render()
    {
        wp_enqueue_style('et-coming-soon-page-icons');
        global $wp;
        $general_settings   = get_option('et_coming_soon_page_general_settings');
        // print_r($general_settings);
        // echo '<hr />';

        $is_active       = $general_settings["is_active"];
        $company_name    = $general_settings["company_name"];
        $message         = $general_settings["message"];
        $comeback_time   = $general_settings["comeback_time"];

        if ($is_active) {
            global $post;
            if(is_user_logged_in()){

            }
            else{
                $template = __DIR__ . '/Views/template-1.php';

                if (file_exists($template)) {
                    include $template;
                } else {
                    wp_die($template . ' View file not exists!!!');
                }
                exit;
            }
        }
        return true;
    }
}
