<?php

namespace Et\CommingSoonPage\Backend;

class Menu{

    function __construct()
    {
        add_action('admin_menu', [$this,'admin_menu']);
    }
    
    public function admin_menu(){        
        $parent_slug = 'easy-toolbox';
        $capability = 'manage_options';
        // $hook = add_menu_page(__('Easy Toolbox', 'easy-toolbox'), __('Easy Toolbox', 'easy-toolbox'), $capability, $parent_slug, [$this, 'about_page'], 'dashicons-share',80);    
        // add_submenu_page( $parent_slug, __( 'About Us', 'easy-toolbox' ), __( 'About Us', 'easy-toolbox' ), $capability, $parent_slug, [ $this, 'about_page' ], 90 );

        global $menu;
        $menuExist = false;
        foreach($menu as $item) {
            if(strtolower($item[0]) == strtolower('easy toolbox')) {
                $menuExist = true;
                break;
            }
        }
        if(!$menuExist)
        {
            $hook = add_menu_page(__('Coming Soon Page', 'et-coming-soon-page'), __('Coming Soon page', 'et-coming-soon-page'), $capability, 'et-coming-soon-page-settings', [$this, 'settings_page'], 'dashicons-share');    
        }
        else{
            $hook = add_submenu_page( $parent_slug, __( 'SocialShare Settings', 'et-coming-soon-page' ), __( 'SocialShare Settings', 'et-coming-soon-page' ), $capability, 'et-coming-soon-page-settings', [ $this, 'settings_page' ], 20 );
        }

        // add_action( 'admin_head-' . $hook, [ $this, 'enqueue_assets' ] );
        // add_menu_page(__('Easy SocialShare', 'et-coming-soon-page'), __('Easy SocialShare', 'et-coming-soon-page'), $capability, $parent_slug, [$this, 'settings_page'], 'dashicons-share');
        // add_submenu_page( $parent_slug, __( 'Settings', 'et-coming-soon-page' ), __( 'Settings', 'et-coming-soon-page' ), $capability, $parent_slug, [ $this, 'settings_page' ] );
        // add_submenu_page( $parent_slug, __( 'Help', 'et-coming-soon-page' ), __( 'Help', 'et-coming-soon-page' ), $capability, 'et-coming-soon-page-help', [ $this, 'help_page' ] );
    }


    /**
     * Enqueue scripts and styles
     *
     * @return void
     */
    public function enqueue_assets() {
        wp_enqueue_style( 'et-coming-soon-page-backend-style' );
    }

    /**
     * Handles the settings page
     *
     * @return void
     */
    public function settings_page() {
        $settings = new Settings();
        $settings->settinge_page();
    }

    /**
     * Render the plugin page
     *
     * @return void
     */
    function about_page(){
        $aboutUs = new AboutUs();
        $aboutUs->about_us_page();
    }
}